TYPE
  LONG_STRING = STRING[255];

{****************************************************************************}
FUNCTION REPLICATE (                          {* REPEAT A CHARACTER         *}
                     COUNT : INTEGER;         {* NUMBER OF REPITITIONS      *}
                     ASCII : CHAR             {* CHARACTER TO BE REPEATED   *}
                    )      : LONG_STRING;      {* STRING CONTAINING REPEATED *}
                                              {* CHARACTER                  *
 * THIS FUNCTION TAKES THE CHARACTER IN 'ASCII', REPEATS IT 'COUNT' TIMES   *
 * AND RETURNS THE RESULTING STRING AS A 'LONGSTRING'                                        *
 ****************************************************************************}

VAR
  TEMP : LONG_STRING;  {USED TO HOLD THE INCOMPLETE RESULT}
  I    : BYTE;         {FOR COUNTER}

BEGIN
  TEMP := '';
  FOR I := 1 TO COUNT DO
    TEMP := TEMP + ASCII;
  REPLICATE := TEMP;
END; {REPLICATE}

{****************************************************************************}
